<template>
  <base-table
    :url="url"
    :columns="columns"
    :paginated="true"
    :per-page="3"
    :checkable="true"
    :focusable="true"

  />
</template>

<script>
  import BaseTable from '@/components/BaseTable'
  export default {
    components : {BaseTable},
    data () {
      return {
        url : 'http://localhost:54618/api/Books',
        columns: [
          {
            field: 'Id',
            label: 'ID',
            width: '40',
            numeric: true,
            sortable: true
          },
          {
            field: 'Title',
            label: 'Title',
            sortable: true
          },
          {
            field: 'AuthorId',
            label: 'Author Id',
            sortable: true
          },
          {
            field: 'Timestamp',
            label: 'TimeStamp',
            centered: true,
            sortable: true
          }
        ]
      } 
    }
  }
</script>